#!/bin/sh
set -x

#@echo off


CURRENT_DIR=`pwd`

#REM CHANGE THE FOLLOWING LINE TO MATCH THE LOCATION OF A WEBSPHERE INSTALLATION
#REM wsst USES SOME JAR FILES SUPPLIED BY WEBSPHERE

WAS_HOME=/opt/IBM/WebSphere/AppServer
#WAS_HOME=/usr/IBM/WebSphere/AppServer

cd ${WAS_HOME}/bin
. ./setupCmdLine.sh

export WAS_HOME

export wsst_home=${CURRENT_DIR}
cd ${CURRENT_DIR}


#@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
#@REM    console - encoding is correct for a console window
#@REM    file    - encoding is the default file encoding for the system
#@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
#@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console

NAMING_FACTORY=com.ibm.websphere.naming.WsnInitialContextFactory
JAAS_LOGIN_CONFIG=-Djava.security.auth.login.config="$WAS_HOME"/properties/wsjaas_client.conf

#REM Overide he WAS_EXT_DIRS from setupCmdLine.bat
WAS_EXT_DIRS="$JAVA_HOME"/lib:"$WAS_HOME"/classes:"$WAS_HOME"/lib:"$WAS_HOME"/installedChannels:"$WAS_HOME"/lib/ext:"$JMS_PATH"

WAS_DEFAULTSERVERNAME=-Dcom.ibm.CORBA.BootstrapHost=$DEFAULTSERVERNAME 

WAS_SERVERPORTNUMBER=-Dcom.ibm.CORBA.BootstrapPort=$SERVERPORTNUMBER 

$JAVA_HOME/bin/java $WAS_LOGGING -Dibm.websphere.preload.classes=true -Dcom.ibm.ws.client.installedConnectors="$CLIENT_CONNECTOR_INSTALL_ROOT" $CONSOLE_ENCODING "$CLIENTSAS" "$CLIENTSOAP" -Dwas.install.root="$WAS_HOME" -Dws.ext.dirs="$WAS_EXT_DIRS" "$JAAS_LOGIN_CONFIG" "$WAS_DEFAULTSERVERNAME" "$WAS_SERVERPORTNUMBER" -Djava.naming.factory.initial=$NAMING_FACTORY -Dwsst_home=$wsst_home -classpath "$wsst_home"/wsst.jar:"$WAS_CLASSPATH":.:"$WAS_HOME"/lib/wssec.jar:"$WAS_HOME"/lib/iwsorb.jar:"$WAS_HOME"/lib/utils.jar:"$WAS_HOME"/lib/ras.jar:"$WAS_HOME"/lib/wsexception.jar:"$WAS_HOME"/plugins/com.ibm.ws.runtime_6.1.0.jar:"$WAS_HOME"/plugins/com.ibm.ws.emf_2.1.0.jar:"$WAS_HOME"/lib/ffdc.jar com.ibm.ws.bootstrap.WSLauncher com.ibm.wsst.Controller "$@"



